#
# spec file for package libungif (Version 4.1.0b1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf automake xf86
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel gcc gdbm gettext libtool perl rpm

Name:         libungif
License:      Other License(s), see package, GPL
Group:        System/Libraries
URL:          http://prtr-13.ucsc.edu/~badger/software/libungif/
Autoreqprov:  on
Version:      4.1.0b1
Release:      587
Summary:      A library for working with uncompressed GIF images
Source:       libungif-%{version}.tar.bz2
Patch:        libungif-%{version}.dif
Patch1:       libungif-ia64.dif
Patch2:       libungif-checks.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This is the successor of libgif. It writes uncompressed gifs by
default.



Authors:
--------
    Toshio Kuratomi <badger@prtr-13.ucsc.edu>
    Eric S. Raymond >esr@snark.thyrsus.com>

%package -n ungif
Summary:      Tools working with the gif library
Group:        Productivity/Graphics/Convertors
Autoreqprov:  on

%description -n ungif
convert gifs to various formats



Authors:
--------
    Toshio Kuratomi <badger@prtr-13.ucsc.edu>
    Eric S. Raymond >esr@snark.thyrsus.com>

%prep
%setup
%patch
%patch1
%patch2 -p1

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
autoreconf --force --install
./configure --prefix=/usr --libdir=%{_libdir} --x-libraries=/usr/X11R6/%{_lib}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT/%{_libdir}/libungif.so.*

%files
/usr/include/gif_lib.h
%{_libdir}/libungif.*

%files -n ungif
%doc COPYING NEWS README doc
/usr/bin/*

%changelog -n libungif
* Mon Oct 31 2005 - nadvornik@suse.cz
- added a memory leak fix [#129927]
* Mon Oct 24 2005 - nadvornik@suse.cz
- fixed crashes on broken gif files [#129927]
* Mon Feb 11 2002 - schwab@suse.de
- Fix use of varargs.
* Wed Feb 06 2002 - nadvornik@suse.cz
- updated to 4.1.0b1:
- bugfix release
* Tue Jan 08 2002 - nadvornik@suse.cz
- used macros %%{_lib} and %%{_libdir}
* Tue Jun 12 2001 - ro@suse.de
- libtoolize to build
* Tue Jun 05 2001 - schwab@suse.de
- Change DumpScreen2Gif parameters to long.
* Thu May 24 2001 - pblaha@suse.cz
- fix cast pointer on ia64
* Wed Apr 18 2001 - pblaha@suse.cz
- patch from nadvornik@suse.cz for bug in loading images
* Mon Apr 09 2001 - ro@suse.de
- fixed group tag
* Wed May 17 2000 - bubnikv@suse.cz
- fixed bug of $chmod 755 libungif.so* (missing $RPM_BUILD_ROOT)
- spec file cleanup
* Mon May 15 2000 - nadvornik@suse.cz
- added BuildRoot
- added URL
* Tue Apr 04 2000 - bk@suse.de
- config.{sub,guess} update macro needs automake
* Sat Apr 01 2000 - bk@suse.de
- suse s390 team added required %%suse_update_config for s390
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 29 1999 - ro@suse.de
- split: ungif (containing the tools) is build as a separate package
* Tue Apr 06 1999 - ro@suse.de
- initial package
